# Interface OpenIdConnectProviderMetadataFetcher

interface OpenIdConnectProviderMetadataFetcher {
getOpenIdConnectProviderMetadata(
options: OpenIdConnectClientOptions,
): Promise<OpenIdProviderMetadata>;
}

##### Index

### Methods

getOpenIdConnectProviderMetadata

## Methods

### getOpenIdConnectProviderMetadata

- getOpenIdConnectProviderMetadata(
  options: OpenIdConnectClientOptions,
  ): Promise<OpenIdProviderMetadata>

  #### Parameters

  - options: OpenIdConnectClientOptions

  #### Returns Promise<OpenIdProviderMetadata>